<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script type="text/javascript">
        function test(){
            this.color = "red";
            this.name = "lisi";
            this.test = function(){
                console.log("hahaha");
            }
        };
        var lele = new test();
        console.log(lele.color);
        console.log(lele.name);
        lele.test();
</script>
</body>
</html>